package com.community.huiju.feign.entity;

import lombok.Data;

@Data
public class SyncControl {


    /**
     * type : 厂家
     * sync : {"longNums":"门口机编号","openapi_ip_port_http":"服务器地址","secret":"服务器secret","appkey":"服务器appkey","opUserUuid":"服务器操作人员UUID"}
     */

    private String type;
    private SyncBean sync;

    @Data
    public static class SyncBean {
        /**
         * longNums : 门口机编号
         * openapi_ip_port_http : 服务器地址
         * secret : 服务器secret
         * appkey : 服务器appkey
         * opUserUuid : 服务器操作人员UUID
         */

        private String longNums;
        private String openapi_ip_port_http;
        private String secret;
        private String appkey;
        private String opUserUuid;

    }
}
