package com.community.huiju.feign.entity;

import lombok.Data;

@Data
public class TemporaryRegister {


    /**
     * type : 厂家
     * temporaryRegister : {"visitorName":"访客姓名","phoneNo":"联系电话","personNum":"来访人数","startTime":"来访时间","endTime":"离开时间","personId":"被访人ID"}
     */

    private String type;
    private TemporaryRegisterBean temporaryRegister;

    @Data
    public static class TemporaryRegisterBean {
        /**
         * visitorName : 访客姓名
         * phoneNo : 联系电话
         * personNum : 来访人数
         * startTime : 来访时间
         * endTime : 离开时间
         * personId : 被访人ID
         */

        private String visitorName;
        private String phoneNo;
        private Integer personNum;
        private Long startTime;
        private Long endTime;
        private Integer personId;
        private String secret;
        private String appkey;
        private String openapi_ip_port_http;
    }
}
